Bug 499974 - Error creating LVM partition
Error creating LVM partition
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
anaconda_trace_hash:92bc7c0d0223ec6ab...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-09 13:50 EDT by George Galt
Modified: 2013-01-10 00:12 EST (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:28:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (2.47 MB, text/plain)
2009-05-09 13:50 EDT, George Galt
no flags Details
Attached traceback automatically from anaconda. (135.14 KB, text/plain)
2009-05-13 13:02 EDT, Jesse Keating
no flags Details
Attached traceback automatically from anaconda. (149.31 KB, text/plain)
2009-05-19 13:24 EDT, James Laska
no flags Details
Attached traceback automatically from anaconda. (114.28 KB, text/plain)
2009-06-04 08:42 EDT, A.J. Werkman
no flags Details
Attached traceback automatically from anaconda. (151.95 KB, text/plain)
2009-06-05 11:35 EDT, James Laska
no flags Details
Attached traceback automatically from anaconda. (192.81 KB, text/plain)
2009-06-12 08:41 EDT, Chris
no flags Details
Attached traceback automatically from anaconda. (115.15 KB, text/plain)
2009-06-13 04:15 EDT, A.J. Werkman
no flags Details
Attached traceback automatically from anaconda. (1.03 MB, text/plain)
2009-06-26 05:04 EDT, Shawn Baker
no flags Details
Attached traceback automatically from anaconda. (299.01 KB, text/plain)
2009-06-30 14:53 EDT, Andrew McNabb
no flags Details
Attached traceback automatically from anaconda. (181.70 KB, text/plain)
2009-08-04 10:01 EDT, Tomas Pelka
no flags Details

  None (edit)
Description George Galt 2009-05-09 13:50:02 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.47 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devicelibs/lvm.py", line 239, in vgcreate
    raise LVMError("vgcreate failed for %s" % vg_name)
  File "/usr/lib/anaconda/storage/devices.py", line 1706, in create
    lvm.vgcreate(self.name, pv_list, self.peSize)
  File "/usr/lib/anaconda/storage/deviceaction.py", line 203, in execute
    self.device.create(intf=intf)
  File "/usr/lib/anaconda/storage/devicetree.py", line 659, in processActions
    action.execute(intf=self.intf)
  File "/usr/lib/anaconda/storage/__init__.py", line 234, in doIt
    self.devicetree.processActions()
  File "/usr/lib/anaconda/packages.py", line 117, in turnOnFilesystems
    anaconda.id.storage.doIt()
LVMError: vgcreate failed for vg_server
Comment 1 George Galt 2009-05-09 13:50:12 EDT
Created attachment 343227 [details]
Attached traceback automatically from anaconda.
Comment 2 Chris Lumens 2009-05-11 10:26:41 EDT
According to the program.log in your traceback report, we create a physical volume on /dev/sde3, but then are unable to add it to the volume group, due to the following message:

  No physical volume label read from /dev/sde3
  /dev/sde3 not identified as an existing physical volume
  Unable to add physical volume '/dev/sde3' to volume group 'vg_server'.
Comment 3 Jesse Keating 2009-05-13 13:02:46 EDT
Created attachment 343819 [details]
Attached traceback automatically from anaconda.
Comment 4 Jesse Keating 2009-05-13 13:06:59 EDT
I just got this.  Here was my setup.

Two sata drives that were previously used for a "Use entire drive" auto partition setup.  This new install also checked "Use entire drive" but I only checked the first drive to be used, leaving one of the drives unchecked.
Comment 5 James Laska 2009-05-19 13:24:22 EDT
Created attachment 344654 [details]
Attached traceback automatically from anaconda.
Comment 6 James Laska 2009-05-19 13:28:43 EDT
Hitting this consistently while trying to reinstall, but leaving a partition untouched that contains existing ISO media.

I'm using "Custom Layout"
 * I add a mount point for my 5G /isos partition
 * I choose to reformat the existing storage layout
 * I create logical volumes for swap and root
Comment 7 A.J. Werkman 2009-06-04 08:42:16 EDT
Created attachment 346527 [details]
Attached traceback automatically from anaconda.
Comment 8 A.J. Werkman 2009-06-04 08:48:39 EDT
I see this with a two disk configuration.

I hit this while trying to reproduce bug #502286

Started with PXE and the following kickstart:

===============================================================
install
url --url http://<server>/fedora/development/i386/os
lang en_US.UTF-8
keyboard us
skipx
text

# Network configuration.
network --device eth0 --bootproto static --ip <IP> --netmask <MASK> --gateway <GW> --nameserver <NS> --hostname <hostname>

rootpw hallo
firewall --disabled
authconfig --enableshadow --passalgo=sha512
selinux --disabled
timezone --utc Europe/Amsterdam

zerombr
bootloader --location=mbr --timeout=20 --append="nomodeset"
clearpart --all --initlabel
#part /boot --fstype ext3 --size=512 --grow --maxsize=1024
#part / --fstype ext3 --size=1024 --grow

part /boot --fstype ext3 --size=512
part pv.7 --size=10 --grow --ondisk=sda
volgroup VolGroup00 --pesize=32768 pv.7
logvol swap --fstype swap --name=LogVol01 --vgname=VolGroup00 --size=1000 --grow --maxsize=1984
logvol / --fstype ext3 --name=LogVol00 --vgname=VolGroup00 --size=1024 --grow
#part swap --size=512 --grow --maxsize=1024

repo --name="Fedora rawhide - i386" --baseurl=http://<server>/fedora/development/i386/os


%packages
@base
@core

%post

%end
Comment 9 James Laska 2009-06-05 11:35:53 EDT
Created attachment 346672 [details]
Attached traceback automatically from anaconda.
Comment 10 Bug Zapper 2009-06-09 11:33:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Chris 2009-06-12 08:41:43 EDT
Created attachment 347548 [details]
Attached traceback automatically from anaconda.
Comment 12 A.J. Werkman 2009-06-13 04:15:06 EDT
Created attachment 347721 [details]
Attached traceback automatically from anaconda.
Comment 13 Shawn Baker 2009-06-26 05:04:30 EDT
Created attachment 349524 [details]
Attached traceback automatically from anaconda.
Comment 14 Mike Snitzer 2009-06-26 12:53:49 EDT
This does not appear to be an LVM2 bug.  All of the anaconda tracebacks attached to this bug (I've looked at 4 of them so far) show the failed vgcreate is due to the fact that the VG already exists.

Specifically either:
- the VG is created more than once by anaconda's install logic
- the VG already exists but anaconda attempts to create it again (e.g. reinstall)

If I'm somehow foolishly mistaken (that this is an anaconda storage bug) please reassign back to the LVM team with justification.
Comment 15 Andrew McNabb 2009-06-30 14:53:20 EDT
Created attachment 350007 [details]
Attached traceback automatically from anaconda.
Comment 16 Tomas Pelka 2009-08-04 10:01:43 EDT
Created attachment 356177 [details]
Attached traceback automatically from anaconda.
Comment 17 David Lehman 2010-01-18 11:27:27 EST
Has anyone seen this behavior in Fedora 12?
Comment 18 Bug Zapper 2010-04-27 10:15:10 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2010-06-28 08:28:35 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.